import 'dart:convert';

import '../models/lista_clientes.dart';
import 'package:http/http.dart' as http;

import '../models/login_cliente.dart';

class CliProvider{
  final String _url = "smart.solerpalau.mx";

  Future<ListaClientes> fetchSListaClientes(String token, String perfil, String usuario,
    String gblProZon, String gblProDel) async{
    final url = Uri.https(_url, 'PR/api/v1/quiosco/cli/obtenerClientes');
    final res = await http.post(url,
        headers: {
          'Authorization' : 'Bearer $token'
        },
        body: {
          'PERFIL' : perfil,
          'USUARIO' : usuario,
          'GBL_PRO_ZON' : gblProZon,
          'GBL_PRO_DEL' : gblProDel
        }
    );
    final decodedData = jsonDecode(res.body);
    final lista = ListaClientes.fromJson(decodedData);
    return lista;
  }

  Future<LoginCliente> fetchLoginComoCliente(String token, String dinumEmpleado, String dinumCliente) async{
    final url = Uri.https(_url, 'PR/api/v1/quiosco/cli/accederComoCliente');
    final res = await http.post(url,
        headers: {
          'Authorization' : 'Bearer $token'
        },
        body: {
          'DINUM_CLIENTE' : dinumCliente,
          'DINUM_EMPLEADO' : dinumEmpleado
        }
    );
    final decodedData = jsonDecode(res.body);
    final infoLogin = LoginCliente.fromJson(decodedData);
    return infoLogin;
  }
}